My Project: dgGlobalAllocator Class Reference

My Project

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
dgGlobalAllocator Class Reference
Inheritance diagram for dgGlobalAllocator:

## Public Member Functions

| dgGlobalAllocator ()
| ~dgGlobalAllocator ()
void | operator delete (void *const ptr)
dgInt32 | GetMemoryUsed () const
Public Member Functions inherited from dgMemoryAllocator
| dgMemoryAllocator ()
| ~dgMemoryAllocator ()
void * | operator new (size_t size)
void | operator delete (void *const ptr)
dgInt32 | GetMemoryUsed () const
void | SetAllocatorsCallback (dgMemAlloc memAlloc, dgMemFree memFree)
void * | MallocLow (dgInt32 size, dgInt32 alignment=DG_MEMORY_GRANULARITY)
void | FreeLow (void *const retPtr)
void * | Malloc (dgInt32 memsize)
void | Free (void *const retPtr)
Public Member Functions inherited from dgList< dgMemoryAllocator *>
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgMemoryAllocator * &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgMemoryAllocator * &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgMemoryAllocator * &element) const
dgListNode * | GetNodeFromInfo (dgMemoryAllocator * &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgMemoryAllocator * &element)
void | RemoveAll ()
void | Merge (dgList< dgMemoryAllocator * > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Static Public Member Functions

static void *dgApi | __malloc__ (dgUnsigned32 size)
static void dgApi | __free__ (void *const ptr, dgUnsigned32 size)

## Static Public Attributes

static dgGlobalAllocator | m_globalAllocator

## Additional Inherited Members

Protected Member Functions inherited from dgMemoryAllocator
| dgMemoryAllocator (dgMemAlloc memAlloc, dgMemFree memFree)
Protected Attributes inherited from dgMemoryAllocator
dgInt32 | m_emumerator
dgInt32 | m_memoryUsed
dgMemFree | m_free
dgMemAlloc | m_malloc
dgMemDirectory | m_memoryDirectory [DG_MEMORY_BIN_ENTRIES+1]

## Constructor & Destructor Documentation

## § dgGlobalAllocator()

dgGlobalAllocator::dgGlobalAllocator | ( |  | ) |

inline

## § ~dgGlobalAllocator()

dgGlobalAllocator::~dgGlobalAllocator | ( |  | ) |

inline

## Member Function Documentation

## § __free__()

static void dgApi dgGlobalAllocator::__free__ | ( | void *const | ptr,
|  | dgUnsigned32 | size
| ) |  |

inlinestatic

## § __malloc__()

static void* dgApi dgGlobalAllocator::__malloc__ | ( | dgUnsigned32 | size | ) |

inlinestatic

## § GetMemoryUsed()

dgInt32 dgGlobalAllocator::GetMemoryUsed | ( |  | ) | const

inline

## § operator delete()

void dgGlobalAllocator::operator delete | ( | void *const | ptr | ) |

inline

## Member Data Documentation

## § m_globalAllocator

dgGlobalAllocator dgGlobalAllocator::m_globalAllocator

static

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgMemory.cpp